
package de.ivu.elect.business.person.control;

import java.util.EnumSet;

import de.ivu.elect.business.person.entity.PersonenVerknuepfungBase;
import de.ivu.elect.business.person.entity.VerknuepfungsStatus;

public interface PersonenVerknuepfungFilter {

  PersonenVerknuepfungFilter ALLE_VERKNUEPFUNGEN = new AcceptAllPersonenVerknuepfungFilter();

  PersonenVerknuepfungFilter AEHNLICHE_ODER_IDENTISCHE_VERKNUEPFUNGEN = new PersonenVerknuepfungNachStatusFilter(
      EnumSet.of(VerknuepfungsStatus.IDENTISCH, VerknuepfungsStatus.AEHNLICH));

  boolean isAccept(PersonenVerknuepfungBase verknuepfung);
}
